/*
 *	Plurals
 *
 *	Author:	S.C.Merrall
 *
 *	File:	mp_op_id.h
 *
 *	Contents:	
 *
 *	Description:	   Uniques constants identifying lisp operations
 *			available from mp_lispop. Constitues main connection
 *			between the front end and the back end.
 *
 *	Change History:
 *
 *	Date   Name Comment
 *    -------- ---- -------
 *    16:01:91 SCM  Created
 */

#ifdef __STDC__

extern object mp_main( int, int, object, object, object );
extern int    mp_init( void );
extern int    load_plural( object, void *, int );
extern object alloc_plural( );

#else

extern object mp_main();
extern int    mp_init();
extern int    load_plural();
extern object alloc_plural();


#endif

#define MP_MP_CONS 1
#define MP_CAR 2

#define MP_CDR 3
#define MP_RPLAC_A 4
#define MP_RPLAC_D 5

#define MP_MAKE_INTEGER 6
#define MP_PLUS 7
#define MP_LESS_THAN 8

#define MP_PRINT 9

#define MP_MAKE_MP_VECTOR 10
#define MP_MP_VECTOR_SET 11
#define MP_MP_VECTOR_REF 12

#define MP_ASSIGN 13

#define MP_IF 14
#define MP_FI 15





